Bug 21897 - Typo in postinst affecting zebra configuration file installation
Summary: Typo in postinst affecting zebra configuration file installation
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Keywords:
Depends on: 14302
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-28 10:15 UTC by Mirko Tietgen
Modified: 2018-12-14 17:27 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21897: Typo in postinst (1.46 KB, patch)
2018-11-28 10:19 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 21897: Typo in postinst (1.53 KB, patch)
2018-11-28 11:58 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2018-11-28 10:15:41 UTC
There is a typo in postinst, resulting in an error on upgrade.

-for zfile in $( find /etc/koha/sites -name zebra-authorities.cfg -or -name zebra-authorities-dom.cfg -or -name zebra-biblios.cfg -or -name zebra-biblios-dom.cfg ); do
+for zfile in $( find /etc/koha/sites-name zebra-authorities-dom.cfg -or -name zebra-biblios-dom.cfg ); do
Comment 1 Mirko Tietgen 2018-11-28 10:19:18 UTC
Created attachment 82694 [details] [review]
Bug 21897: Typo in postinst

Small typo (missing space)
Comment 2 Katrin Fischer 2018-11-28 10:58:40 UTC
Looks easy - move to PQA directly?
Comment 3 Martin Renvoize 2018-11-28 11:57:48 UTC
I agree.. lets go straight for PQA here..
Comment 4 Martin Renvoize 2018-11-28 11:58:44 UTC
Created attachment 82699 [details] [review]
Bug 21897: Typo in postinst

Small typo (missing space)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2018-11-28 11:59:20 UTC
Tested and happy.. Passing QA
Comment 6 Nick Clemens 2018-11-29 19:15:50 UTC
Awesome work everyone!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2018-12-10 09:33:06 UTC
Pushed to 18.11.x for 18.11.01
Comment 8 Lucas Gass 2018-12-14 17:27:45 UTC
depends on 14302 wont backport to 18.05